none
bash 쉘 사용중 문의사항 RRS feed

  • 질문

  • 안녕하세요. bash 쉘 이용중 패키지 설치를 위해 apt-get을 사용하는데 번번히 에러가 나타납니다.

    해당 에러 해결을 어떻게 해야하는지 궁금합니다.

    구글로 검색해보니 apt-get 의존성 문제라고 해법들이 나온대로 해 보았으나, 제대로 되지 않는듯 합니다. 

    sudo apt-get install [패키지] 

    root@CORI:~# sudo apt-get install gcc
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    gcc is already the newest version.
    The following packages were automatically installed and are no longer required:
      g++-4.8 libfreetype6 libstdc++-4.8-dev os-prober
    Use 'apt-get autoremove' to remove them.
    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    4 not fully installed or removed.
    After this operation, 0 B of additional disk space will be used.
    Do you want to continue? [Y/n] Y
    Setting up udev (204-5ubuntu20.19) ...
    initctl: Unable to connect to Upstart: Failed to connect to socket /com/ubuntu/upstart: Connection refused
    runlevel:/var/run/utmp: No such file or directory
     * udev requires devtmpfs support, not started
       ...fail!
    invoke-rc.d: initscript udev, action "restart" failed.
    dpkg: error processing package udev (--configure):
     subprocess installed post-installation script returned error exit status 1
    No apport report written because the error message indicates its a followup error from a previous failure.
                                                                                                              No apport report written because the error message indicates its a followup error from a previous failure.
                                                                                                No apport report written because MaxReports is reached already
                                      dpkg: dependency problems prevent configuration of systemd-services:
     systemd-services depends on udev (>= 175-0ubuntu23); however:
      Package udev is not configured yet.

    dpkg: error processing package systemd-services (--configure):
     dependency problems - leaving unconfigured
    dpkg: dependency problems prevent configuration of libpam-systemd:amd64:
     libpam-systemd:amd64 depends on systemd-services (= 204-5ubuntu20.19); however:
      Package systemd-services is not configured yet.

    dpkg: error processing package libpam-systemd:amd64 (--configure):
     dependency problems - leaving unconfigured
    dpkg: dependency problems prevent configuration of initramfs-tools:
     initramfs-tools depends on udev (>= 147~-5); however:
      Package udev is not configured yet.

    dpkg: error processing package initramfs-tools (--configure):
     dependency problems - leaving unconfigured
    Errors were encountered while processing:
     udev
     systemd-services
     libpam-systemd:amd64
     initramfs-tools
    E: Sub-process /usr/bin/dpkg returned an error code (1)

    2016년 8월 14일 일요일 오전 4:50